#Download data D2_Data_2
#list the varibales in D2_Data
names(D2_Data_2)

#Plot types lecture slide #7
plot(D2_Data_2[,2], D2_Data_2[,3], type="p") #Plot of Peak1 and Peak2 with points

plot(D2_Data_2[,2], D2_Data_2[,3], type="l") #Plot of Peak1 and Peak2 with lines

plot(D2_Data_2[,2], D2_Data_2[,3], type="o") #Plot of Peak1 and Peak2 with over plotted points and lines

plot(D2_Data_2[,2], D2_Data_2[,3], type="b") #Plot of Peak1 and Peak2 with points joined by lines

plot(D2_Data_2[,2], D2_Data_2[,3], type="c") #Plot of Peak1 and Peak2 with empty points joined by lines 

plot(D2_Data_2[,2], D2_Data_2[,3], type="h") #Plot of Peak1 and Peak2 with histogram-like vertical lines

plot(D2_Data_2[,2], D2_Data_2[,3], type="n") #Plot of Peak1 and Peak2 with no points or lines

#Plot characters and colors lecture slides # 8 to 10
plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=2, col="2") #Plot of Peak1 and Peak2 with triangles with red color with number 2

plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=2, col="red") #Plot of Peak1 and Peak2 with open triangles with red color with character "red"

plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=3, col="3") #Plot of Peak1 and Peak2 with cross with green color with number 3

plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=3, col="green") #Plot of Peak1 and Peak2 with cross with red color with character "green"

plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=17, col="17") #Plot of Peak1 and Peak2 with filled triangles with black color

#Adding X and Y labels and the main title
plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", main="Plot of Peak1 vs Peak2") #default font for title in bold

plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", main="Plot of Peak1 vs Peak2", font.main =1) #Make title not bold. 1=plain, 2=bold, 3=italic, 4=bold italic, 5=symbol
#font.axis for axis annotation, font.lab for x and y labels

#Adding size using "cex"
plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", cex=2, main="Plot of Peak1 vs Peak2")

#Adding xlim and ylim 
plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", xlim=c(0,50), ylim=c(0,100),cex=2, main="Plot of Peak1 vs Peak2")# No data points because of data are greater than 50 and 100

#Adding text
plot(D2_Data_2[,2], D2_Data_2[,3], type="p", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", text(x=D2_Data_2[,2], y=D2_Data_2[,3], labels=D2_Data_2$Metabolite),cex=2, main="Plot of Peak1 vs Peak2")

#Adding text
plot(D2_Data_2[,2], D2_Data_2[,3], type="n") #call a graph
plot(D2_Data_2[,2], D2_Data_2[,3], type="n", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", text(x=D2_Data_2[,2], y=D2_Data_2[,3], labels=D2_Data_2$Metabolite, cex=-2), main="Plot of Peak1 vs Peak2") #add text

#Add some more points to the graph
x2 <- c(24000, 25000, 26000, 28000, 29000, 125000, 145000)
y2 <- c(24000, 50000, 60000, 85000, 90000, 105000,140000)

plot(D2_Data_2[,2], D2_Data_2[,3], type="n") #call the graph
plot(D2_Data_2[,2], D2_Data_2[,3], type="n", pch=17, col="17", xlab ="Peak1", ylab ="Peak2", text(x=D2_Data_2[,2], y=D2_Data_2[,3], labels=D2_Data_2$Metabolite, cex=-2, main="Plot of Peak1 vs Peak2", points(x2, y2, pch=16, col="green"))) #add text and points
 
#Save the figure using Export under Plots in RStudio

#Histogram lecture slide #12
#simulate a data by rchisq function
?rchisq
simdata <-rchisq(100,8)
simdata
hist(simdata)  

#Setting your own breakpoints
bps<-c(0,2,4,6,8,10,15,25)
bps
hist(simdata, breaks=bps) 

#3-dimmensional Scatterplots
#Download data D2_Data_3
D2_Data_3
#installed scatterplot3d either using install.packages("scatterplot3d") or using RStudio Packages
install.packages("scatterplot3d")
#Plot Peak1 to Peak3

#load scatterplot3d package
.path.package("scatterplot3d")
#library(scatterplot3d) #alternatively click on scatterplot3d in the list under RStudio Packages
scatterplot3d (D2_Data_3[,2:4])

#Add color
scatterplot3d (D2_Data_3[,2:4], color=c("red", "blue", "green")[D2_Data_3$Metabolite], pch=17)

#Label axes
scatterplot3d (D2_Data_3[,2:4], color=c("red", "blue", "green")[D2_Data_3$Metabolite], pch=17, xlab="Peak1", ylab="Peak2", zlab="Peak3", main="3D scatter plot")

#Add legend
P3D<-scatterplot3d (D2_Data_3[,2:4], color=c("red", "blue", "green")[D2_Data_3$Metabolite], pch=17, xlab="Peak1", ylab="Peak2", zlab="Peak3", main="3D scatter plot")
Temp<-legend(P3D$xyz.convert(2, 0, 16), pch = 17, yjust = -0.5, col=c("red", "blue", "green"), legend=c("Alprazolam", "Clotiazepam","Flurazepam"))

#Combining multiple plots using par () and mfrow = c(nrows, ncols) to create a matrix of nrows by ncols 
?par
par(mfrow=c(1,2))

#Histogram
simdata <-rchisq(100,8)
#simdata
hist(simdata)  

#3D plot
P3D<-scatterplot3d (D2_Data_3[,2:3], color=c("red", "blue", "green")[D2_Data_3$Metabolite], pch=17, xlab="Peak1", ylab="Peak2", zlab="Peak3", main="3D scatter plot")
Temp<-legend(P3D$xyz.convert(2, 0, 16), pch = 17, yjust = -0.5, col=c("red", "blue", "green"), legend=c("Alprazolam", "Clotiazepam","Flurazepam"))



