#Basic statistics

#Download data D2_Data_2 and view the columns (variables) in the D2_Data_2
names(D2_Data_2)

#Correlation: Calculate the correlation matrix of D2_Data_2
?cor
cor(D2_Data_2[,-1])

#Suppose we wish to calculate logarithms, and then calculate correlations.
log(cor(D2_Data_2[,-1]))

#Plot Peak1 vs Peak2
plot(D2_Data_2[,2], D2_Data_2[,3], pch=16, xlab="Peak1", ylab="Peak2", main="Plot of Peak1 and Peak2")

#Plot of log Peak3 vs log Peak4
plot(log(D2_Data_2[,4]), log(D2_Data_2[,5]), pch=17, col="red", xlab="log Peak3", ylab="log Peak4", main="Plot of log Peak3 and log Peak4")


#R is an Interactive Programming Language
#Celcius to fahrenheit
celsius <- -80:40
celsius

fahrenheit <- 9/5*celsius+32
fahrenheit
conversion <- data.frame(Celsius=celsius, Fahrenheit=fahrenheit)
print(conversion)


#Back to data D2_Data_2
#Find the average of Peak4
mean(D2_Data_2$Peak4)#function mean is used to calculate average (mean)

#Find the standard deviation of Peak4
sd(D2_Data_2$Peak4)#function sd is used to calculate standard deviation

#Find the median of Peak4
median(D2_Data_2$Peak4) 

#Find the most frequent value (mode) of Peak4
mode(D2_Data_2$Peak4)

?mode
#Use a package modeest to find mode
#Install package modeest
install.packages("modeest")

#We can now find the mode of Peak4
library(modeest) #The function library is used to call a package or click the package 
mlv(D2_Data_2$Peak4, method = "mfv")

#Data Sets that Accompany R Packages
#Get a list of data sets (mostly data frames) associated with all packages that are in the current search path.
data()
mtcars
#mean mpg
mean(mtcars$mpg)
#correlation of mpg and cyl
cor(mtcars$mpg,mtcars$cyl)

#correlation among all variables in mtcars data
cor(as.matrix(mtcars))

#Download data D2_Data_3
names(D2_Data_3)

#independent 2-group t-test
t.test(D2_Data_3$Peak2,D2_Data_3$Peak4) # Peak2 and Peak4 

# paired t-test
t.test(D2_Data_3$Peak1,D2_Data_3$Peak3,paired=TRUE) # where Peak1 and Peak3

# one sample t-test
t.test(D2_Data_3$Peak2,mu=234123) # Ho: mu=3 of Peak2 is 234123



